Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 237636 - Commit dialog: Open diff of files in one tab instead of n-tabs
Commit dialog: Open diff of files in one tab instead of n-tabs
Status: VERIFIED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Git
7.4
PC Windows 7
: P3 (vote)
: 8.0.1
Assigned To: Ondrej Vrabec
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 21:28 UTC by markiewb
Modified: 2014-07-26 10:12 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Shows proposal (250.33 KB, image/png)
2013-10-24 21:28 UTC, markiewb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description markiewb 2013-10-24 21:28:27 UTC
Created attachment 141540 [details]
Shows proposal

In the commit dialog you can open the diff of the files which are to be committed. That's good. But when there are n files to diff, there will be n tabs. The usability is low because you have to click at each tab to review the changes.

ACTUAL: n tabs for n files
EXPECTED: one tab, but with list of files -- see screenshot
Comment 1 Ondrej Vrabec 2014-06-13 12:41:26 UTC
i'll see how much work it would cost
Comment 2 Ondrej Vrabec 2014-06-18 12:03:05 UTC
fix: http://hg.netbeans.org/core-main/rev/41b0ecd4ff94
Comment 3 Quality Engineering 2014-06-19 02:35:20 UTC
Integrated into 'main-silver', will be available in build *201406190001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/41b0ecd4ff94
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #237636 - Commit dialog: Open diff of files in one tab instead of n-tabs
Git displays the diff in one single tab with all the files selectable
in a table at the top of the tab - similar to the normal diff view.
Comment 4 markiewb 2014-07-26 10:12:28 UTC
Verified
Product Version: NetBeans IDE Dev (Build 201407260001)
Updates: Updates available
Java: 1.8.0_05; Java HotSpot(TM) 64-Bit Server VM 25.5-b02
Runtime: Java(TM) SE Runtime Environment 1.8.0_05-b13


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo